> For the complete documentation index, see [llms.txt](https://docs.solutioo.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.solutioo.de/dpdconnector/verbindung-und-konfiguration/tracking-push-service.md).

# Tracking-Push-Service

{% hint style="warning" %}
**Premium.** Diese Funktion ist nur im Tarif Premium enthalten. Starter, Team, Business und Enterprise enthalten sie nicht.
{% endhint %}

## Tracking-Push-Service

Beim **Tracking-Push** ruft DPD je Scan-Ereignis einen öffentlichen Endpunkt der Azure Function per **HTTP GET** auf. Die Daten werden über die BC-API in den Connector geschrieben und aktualisieren den Sendungsstatus.

### In Business Central aktivieren

1. In der [DPD Konfiguration](/dpdconnector/verbindung-und-konfiguration/dpd-konfiguration-feldreferenz.md) **„DPD Tracking-Push aktivieren"** einschalten.
2. Ein **Tracking-Push Shared Secret** vergeben (identisch mit `DPD_PUSH_SECRET` in der Function).
3. Den angezeigten **BC-API-Endpunkt** in der Function hinterlegen.

### Endpunkt-Format

Das Secret steht **im Pfad** (DPD hängt Parameter mit `?` an):

```
GET https://<functionapp>.azurewebsites.net/api/dpd/tracking/<DPD_PUSH_SECRET>?pushid=…&pnr=…&status=…&statusdate=…&receiver=…
```

Der Endpunkt antwortet je Datensatz mit dem **Pflicht-Empfangstelegramm**:

```xml
<push><pushid>335165</pushid><status>OK</status></push>
```

{% hint style="warning" %}
Ohne dieses Telegramm puffert DPD die Daten und wiederholt den Versand bis zu 48 Stunden. DPD pusht ausschließlich von der IP `213.95.42.108`.
{% endhint %}

### Status-Zuordnung

DPD-Status-Tokens (z. B. `start_order`, `pickup_driver`, `delivery_carload`, `delivery_customer`, `delivery_shop`, `error_return`) werden in BC auf den internen Sendungsstatus abgebildet.

### Admin-/Test-Dashboard

Unter `https://<functionapp>.azurewebsites.net/api/ui` (Login per `ADMIN_UI_KEY`) steht ein Web-Dashboard zum Testen bereit: BC-Umgebung/Mandanten prüfen, Webhook-Tests senden, Tracking-Ereignisse und Abliefernachweise ansehen, SFTP-Import auslösen.

### Relevante App-Settings

| Setting           | Beschreibung                                      |
| ----------------- | ------------------------------------------------- |
| `DPD_PUSH_SECRET` | Geheimnis im Pfad der Push-URL                    |
| `ADMIN_UI_KEY`    | Zugang zum Admin-/Test-Dashboard und Debug-Portal |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.solutioo.de/dpdconnector/verbindung-und-konfiguration/tracking-push-service.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
